/**
*Telnet App
*Define an app for web shell
*/
var TelnetApp = TelnetApp || {};  //Define Telnet App namespace.
/**
*Constructor UNAS App
*/
TelnetApp.App = function () {
    this.id = 'Telnet';
    this.name = 'Telnet';
    this.version = '6.0.3';
    this.active = false;
    this.menuIcon = '/apps/telnet/images/logo.png?v=6.0.3&';
    this.shortcutIcon = '/apps/telnet/images/logo.png?v=6.0.3&';
    this.entryUrl = '/apps/telnet/telnet.html?v=6.0.3&';
    //this.entryHelpUrl = '/apps/telnet/telnet_help.html?v=6.0.3&';
    var self = this;
    this.TelnetAppWindow = function () {
        if(UNAS.CheckAppState('Telnet')){
            return false;
        }
        self.window=new MUI.Window({
            id: 'TelnetAppWindow',
            title: UNAS._('Telnet'),
            icon: '/apps/telnet/images/logo_small.png?v=6.0.3&',
            loadMethod: 'xhr',
            width: 750,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [200, 2000], 'y': [150, 1500] },
            contentURL: '/apps/telnet/telnet.html?v=6.0.3&',
            require: {  css: ['/apps/telnet/css/telnet.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("Telnet",'TelnetAppWindow')}
        });
    };
    this.TelnetUninstall = function (){
        UNAS.RemoveDesktopShortcut('Telnet');
        UNAS.RemoveMenu('Telnet');
        UNAS.RemoveAppFromGroups('Telnet', 'ControlPanel');
        UNAS.RemoveAppFromGroups('Telnet', 'Help');
        UNAS.RemoveAppFromApps('Telnet');
    };
    new UNAS.Menu('UNAS_App_Accessories_Menu', this.name, this.menuIcon, 'Telnet', '', this.TelnetAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Telnet', this.TelnetAppWindow);
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'Universal', 'Location' : 1, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Universal', 'Location' : 1, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('Telnet', UNAS._('Telnet')); //translate menu
        //UNAS.SetShortcutTitle('Telnet', UNAS._('Telnet'));
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('TelnetAppWindow', UNAS._('Telnet'));
        }
    };
    UNAS.LoadTranslation('/apps/telnet/languages/Translation?v='+this.version,  OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.TelnetAppWindow, this.TelnetUninstall);
};

new TelnetApp.App();
